#
# spec file for package libipathverbs
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libipathverbs
Summary:        PathScale InfiniPath HCA Userspace Driver
Version:        1.2
Release:        0.8.9
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Libraries
Source0:        %{name}-%{version}.tar.bz2
Source1:        GPLv2.txt
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libibverbs-devel
ExcludeArch:    s390 s390x

%description
libipathverbs provides a device-specific userspace driver for PathScale
HCAs.



Authors:
--------
    QLogic Corp. <support@qlogic.com>

%package devel
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Libraries
Summary:        PathScale InfiniPath HCA Userspace Driver
Requires:       %{name} = %{version} libibverbs-devel

%description devel
libipathverbs provides a device-specific userspace driver for PathScale
HCAs.



Authors:
--------
    QLogic Corp. <support@qlogic.com>

%prep
%setup -q
mv COPYING LICENSES
cp %{S:1} COPYING
./autogen.sh

%build
%configure
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%_sysconfdir/libibverbs.d/*
%_libdir/libipathverbs-rdmav2.so
%doc COPYING LICENSES AUTHORS README

%files devel
%defattr(-, root, root)
%_libdir/%name.so
%_libdir/*.a
%_libdir/*.la

%changelog
* Fri Feb 11 2011 pth@suse.de
- Add ExcludeArch for s390 and s390x.
* Mon May 24 2010 jjolly@novell.com
- Updated to v1.2 from OFED 1.5.1
* Thu Oct 16 2008 jjolly@suse.de
- Updated to version from OFED 1.3.1 release
* Mon May 19 2008 jjolly@suse.de
- Added GPLv2 COPYING file and renamed original COPYING to
  LICENSES (bnc#289242)
* Fri Feb 29 2008 jjolly@suse.de
- Updated to package from OFED 1.3 GA Release
* Tue Jan 29 2008 jjolly@suse.de
- Updated to package from OFED 1.3 rc2 (still 1.1)
* Thu Jul 12 2007 hvogel@suse.de
- require libibverbs-devel in the devel subpackage
* Wed Jul  4 2007 hvogel@suse.de
- Add GPL COPYING file [#289242]
- Get rid of git metadata
* Wed Jun 20 2007 hvogel@suse.de
- Initial Package, Version 1.1
